<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/report.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">report.h</div></div>
</div><!--header-->
<div class="contents">
<a href="report_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef REPORT_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define REPORT_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QWidget&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="foldopen" id="foldopen00006" data-start="{" data-end="};">
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="class_report.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="class_report.html">Report</a> : <span class="keyword">public</span> QWidget {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    Q_OBJECT</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <a class="code hl_function" href="class_report.html#a819e8cfc49be6c9359ea26272d290266">Report</a>(QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_report.html#aadb11eb869cbac155a1a63e206ca84f6">setTargetWidget</a>(QWidget *widget);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="foldopen" id="foldopen00014" data-start="{" data-end="}">
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="class_report.html#aa379f37ece9f1d1379bc28fe403838cc">   14</a></span>    QWidget* <a class="code hl_function" href="class_report.html#aa379f37ece9f1d1379bc28fe403838cc">getTargetWidget</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="class_report.html#a8f62e66b7dc66e1498c2baafb55e0f96">targetWidget</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_report.html#a8e66a8487f5dcecddc58f03e2e6e15bc">saveToPdf</a>(<span class="keyword">const</span> QString &amp;fileName);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    QPixmap <a class="code hl_function" href="class_report.html#ae4b3b6df9aafdabad29b4325614dfef3">grabWidgetPixmap</a>() <span class="keyword">const</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_report.html#aa7a93b76e58aa4aef7de27358d2e074b">paintToPdf</a>(QPainter &amp;painter);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="class_report.html#a8f62e66b7dc66e1498c2baafb55e0f96">   26</a></span>    QWidget *<a class="code hl_variable" href="class_report.html#a8f62e66b7dc66e1498c2baafb55e0f96">targetWidget</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclass_report_html"><div class="ttname"><a href="class_report.html">Report</a></div><div class="ttdef"><b>Definition</b> report.h:6</div></div>
<div class="ttc" id="aclass_report_html_a819e8cfc49be6c9359ea26272d290266"><div class="ttname"><a href="class_report.html#a819e8cfc49be6c9359ea26272d290266">Report::Report</a></div><div class="ttdeci">Report(QWidget *parent=nullptr)</div><div class="ttdef"><b>Definition</b> report.cpp:8</div></div>
<div class="ttc" id="aclass_report_html_a8e66a8487f5dcecddc58f03e2e6e15bc"><div class="ttname"><a href="class_report.html#a8e66a8487f5dcecddc58f03e2e6e15bc">Report::saveToPdf</a></div><div class="ttdeci">void saveToPdf(const QString &amp;fileName)</div><div class="ttdef"><b>Definition</b> report.cpp:34</div></div>
<div class="ttc" id="aclass_report_html_a8f62e66b7dc66e1498c2baafb55e0f96"><div class="ttname"><a href="class_report.html#a8f62e66b7dc66e1498c2baafb55e0f96">Report::targetWidget</a></div><div class="ttdeci">QWidget * targetWidget</div><div class="ttdef"><b>Definition</b> report.h:26</div></div>
<div class="ttc" id="aclass_report_html_aa379f37ece9f1d1379bc28fe403838cc"><div class="ttname"><a href="class_report.html#aa379f37ece9f1d1379bc28fe403838cc">Report::getTargetWidget</a></div><div class="ttdeci">QWidget * getTargetWidget() const</div><div class="ttdef"><b>Definition</b> report.h:14</div></div>
<div class="ttc" id="aclass_report_html_aa7a93b76e58aa4aef7de27358d2e074b"><div class="ttname"><a href="class_report.html#aa7a93b76e58aa4aef7de27358d2e074b">Report::paintToPdf</a></div><div class="ttdeci">void paintToPdf(QPainter &amp;painter)</div><div class="ttdef"><b>Definition</b> report.cpp:57</div></div>
<div class="ttc" id="aclass_report_html_aadb11eb869cbac155a1a63e206ca84f6"><div class="ttname"><a href="class_report.html#aadb11eb869cbac155a1a63e206ca84f6">Report::setTargetWidget</a></div><div class="ttdeci">void setTargetWidget(QWidget *widget)</div><div class="ttdef"><b>Definition</b> report.cpp:11</div></div>
<div class="ttc" id="aclass_report_html_ae4b3b6df9aafdabad29b4325614dfef3"><div class="ttname"><a href="class_report.html#ae4b3b6df9aafdabad29b4325614dfef3">Report::grabWidgetPixmap</a></div><div class="ttdeci">QPixmap grabWidgetPixmap() const</div><div class="ttdef"><b>Definition</b> report.cpp:15</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
